Skip to main content
POST
/
api
/
openapi
/
submit
curl --request POST \
  --url https://aireiter.com/api/openapi/submit \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
    "model": "seedance_1_5_pro",
    "params": {
      "prompt": "A cute kitten playing under the sunlight, fluffy fur, bright eyes",
      "video_length": 5,
      "aspect_ratio": "16:9",
      "resolution": "720p"
    },
    "out_task_id": "my_task_123456"
  }'
{
  "statusCode": 200,
  "message": "",
  "data": {
      "out_task_id": "my_task_123456",
      "status": "pending",
      "estimated_credits": 100,
      "created_at": "2025-12-22T06:03:28.242Z"
  }
}

Authorizations

Authorization
string
required
All endpoints require authentication using a Bearer Token.Get your API Key:Visit the API Key management page to obtain your API Key.Add the following to the request headers when using it:
Authorization: Bearer YOUR_API_KEY

Body

model
string
required
Model NameFixed value: "seedance_1_5_pro"
params
object
required
Model Parameters Object
out_task_id
string
required
Initiator Task IDUser-defined task identifier, required

Resolution and Aspect Ratio Combinations Table

Aspect RatioResolutionActual Size
16:9720p1280x720
16:91080p1920x1080
9:16720p720x1280
9:161080p1080x1920

Response

out_task_id
string
Initiator task ID, can be used to query the result
status
string
Initial status, fixed as "pending"
estimated_credits
number
Estimated credits consumption
created_at
string
Creation time (ISO format)
curl --request POST \
  --url https://aireiter.com/api/openapi/submit \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
    "model": "seedance_1_5_pro",
    "params": {
      "prompt": "A cute kitten playing under the sunlight, fluffy fur, bright eyes",
      "video_length": 5,
      "aspect_ratio": "16:9",
      "resolution": "720p"
    },
    "out_task_id": "my_task_123456"
  }'
{
  "statusCode": 200,
  "message": "",
  "data": {
      "out_task_id": "my_task_123456",
      "status": "pending",
      "estimated_credits": 100,
      "created_at": "2025-12-22T06:03:28.242Z"
  }
}